Name:           tunctl
Version:        1.4
Release:        2%{?dist}
Summary:        Create and remove virtual network interfaces

Group:          Applications/System
License:        GPL+
URL:            http://www.user-mode-linux.org/
Source0:        http://www.user-mode-linux.org/cvs/*checkout*/tools/tunctl/tunctl.c?rev=%{version}
# This is from Debian, http://packages.debian.org/sid/uml-utilities
Source1:        http://svn.debian.org/viewsvn/*checkout*/pkg-uml/trunk/src/uml-utilities/debian/tunctl.sgml?rev=238
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  docbook-utils

%description
Virtual network interface manipulation tool from User Mode Linux project.


%prep
%setup -T -c -n %{name}-%{version}
%{__cp} %{SOURCE0} tunctl.c
%{__cp} %{SOURCE1} tunctl.sgml

%build
%{__cc} %{optflags} tunctl.c -o tunctl
docbook2man tunctl.sgml


%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}
install -d $RPM_BUILD_ROOT%{_mandir}/man8
install -m 755 tunctl $RPM_BUILD_ROOT%{_sbindir}
install -m 644 TUNCTL.8 $RPM_BUILD_ROOT%{_mandir}/man8/tunctl.8


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_mandir}/man8/tunctl.8*
%{_sbindir}/tunctl
#%doc


%changelog
* Tue Mar 25 2008 Lubomir Kundrak <lkundrak@redhat.com> 1.4-2
- Move to sbin (Marek Mahut, #434583)

* Fri Feb 22 2008 Lubomir Kundrak <lkundrak@redhat.com> 1.4-1
- Initial packaging
